@font-face {
    font-family: digitFont;
    src: url(FONT/DS-DIGIB.TTF);
}

@font-face {
    font-family: decimalFont;
    src: url("FONT/DigitalDisplay.ttf");
}

@font-face {
    font-family: hexadecimalFont;
    src: url("FONT/DigitalPlaySt.ttf");
}

@font-face {
    font-family: octalFont;
    src: url("FONT/256bytes.otf") format("opentype");
}

@font-face {
    font-family: romanFont;
    src: url("FONT/roman_font_7.ttf");
}

#dec {
    font-family: decimalFont;
    font-size: 2vw;
}

#decLab {
    font-family: decimalFont;
    font-size: 2vw;
}

#oct {
    font-family: octalFont;
    font-size: 3vw;
}

#octLab {
    font-family: octalFont;
    font-size: 3vw;
}

#hex {
    font-family: hexadecimalFont;
    font-size: 2vw;
}

#hexLab {
    font-family: hexadecimalFont;
    font-size: 1.5vw;
}

  
#bin {
    font-family: digitFont;
    font-size: 3vw;
}

#binLab {
    font-family: digitFont;
    font-size: 3vw;
}

#rom {
    font-family: romanFont;
    font-size: 2vw;
}

#romLab {
    padding-top: 1vw;
    font-family: romanFont;
    font-size: 2vw;
}


#main {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.center {
  display: flex;
  justify-content: center;
  flex-direction: row;
  padding-bottom: 1vw;
  padding-right: 3vw;
  padding-left: 3vw;
}

label {
  width: 10vw;
  font-family: digitFont;
  padding-right: 3vw;
  font-size: 2vw;
}

input {
  width: 70vw;
  font-size: 2vw;
  height: 3vw;
  background-color: lightgray;
}

h1 {
  text-align: center;
  font-family: sans-serif;
  color: grey;
  text-shadow: 1px 0px 0px black, 0px -1px 0px black,0px 1px 0px black, -1px 0px 0px black;
  font-size: 4vw;
}

/* CSS */
.button-85 {
  padding: 0.6em 2em;
  border: none;
  outline: none;
  color: rgb(255, 255, 255);
  background: #111;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 10px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  font-family: decimalFont;
  font-size: 1vw;
}

.button-85:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button-85 20s linear infinite;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}

@keyframes glowing-button-85 {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.button-85:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #222;
  left: 0;
  top: 0;
  border-radius: 10px;
}

.area {
  background: linear-gradient(90deg, rgba(118,115,168,1) 0%, rgba(140,140,189,1) 35%, rgba(77,172,191,1) 100%);
}
